Name: gtklife
Version: 4.1
Release: alt1
Packager: Nick S. Grechukh <gns@altlinux.ru>
Group: Games/Other
Summary: Implementation of Conway's Life, a cellular automation
License: GPL
Url: http://http://www.igs.net/~tril/gtklife/
Source0: %url/%name-%version.tar.gz

# Automatically added by buildreq on Mon Sep 06 2004
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel

%description
GtkLife is an implementation of Conway's Life, a cellular automaton (grid-based artificial life) developed by the mathematician John Conway. It features a highly optimized algorithm for computing generations, a giant universe (1 million x 1 million cells), and a modern, user-friendly interface. Example patterns are available from an optional sidebar on the main window. The user can also draw their own patterns, and load and save files in a number of popular Life formats.

%prep
%setup

%build
%make PREFIX=%prefix DOCDIR=%_docdir/%name DATADIR=%_datadir/%name

%install
%__install -pD gtklife %buildroot/%_bindir/gtklife
%__install -d -m 0755 %buildroot/%_datadir/%name/graphics
%__install -d -m 0755 %buildroot/%_datadir/%name/patterns
%__cp -r graphics/* %buildroot/%_datadir/%name/graphics
%__cp -r patterns/* %buildroot/%_datadir/%name/patterns

####cp %buildroot/%_iconsdir/hicolor/16x16/apps/%appname.png %buildroot/%_iconsdir
#menu
####mkdir -p %buildroot/%_menudir
#####kdedesktop2mdkmenu.pl %appname "Applications/File tools" \
#####    %buildroot/%_datadir/applnk/Applications/%appname.desktop \
####3    %buildroot/%_menudir/%appname

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_datadir/%name
%doc README NEWS doc/*

%changelog
* Mon Sep 06 2004 Nick S. Grechukh <gns@altlinux.ru> 4.1-alt1
- initial build

